'use strict';

var render = require('./render');
var createElement = require('./createElement');
var createStore = require('./createStore');
var useState = require('./useState');
var useReducer = require('./useReducer');
var useContext = require('./useContext');
var createContext = require('./createContext');

function Component(props) {
  this.props = props;
  this.setState = function () {
    throw new Error('Unsupported. Use hooks/useState instead');
  };
}
module.exports = {
  render: render,
  createElement: createElement,
  createStore: createStore,
  createContext: createContext,
  useState: useState,
  useReducer: useReducer,
  useContext: useContext,
  Component: Component
};