"use strict";

var state = [];
var cursor = -1;

function useContext(context) {
  var current = cursor++;
  var store = state[current] = state[current] || context;
  return { state: store.getState(), dispatch: store.dispatch.bind(store) };
}

// internal, only used for tests
useContext.__reset = function () {
  state = [];
  cursor = [];
  useContext.flush();
};

useContext.flush = function () {
  return cursor = -1;
};

module.exports = useContext;