'use strict';

var createStore = require('./createStore');
var state = [];
var cursor = -1;

function useReducer(reducer, initialState) {
  var current = cursor++;
  var store = state[current] = state[current] || initialState.dispatch ? initialState : createStore(reducer, initialState);
  return [store.getState(), store.dispatch.bind(store)];
}

// internal, only used for tests
useReducer.__reset = function () {
  state = [];
  cursor = [];
  useReducer.flush();
};

useReducer.flush = function () {
  return cursor = -1;
};

module.exports = useReducer;